Summary: GNU Octave -- a high-level language for numerical computations
Name:    octave
Version: 2.1.44
Release: 1mdk
License: GPL
Group: Sciences/Mathematics
Source0: ftp.octave.org:/pub/octave/bleeding-edge/%{name}-%{version}.tar.bz2
Source1: %{name}.menu
Source2: icons-%{name}.tar.bz2
Source3: otags.man
Source4: octave-2.1.36-emac.lisp.bz2
Patch1: octave-2.1.36-bug-secu.patch.bz2
URL: http://www.octave.org
Requires: gnuplot
BuildRoot: %{_tmppath}/%{name}-%{version}-root
# Need to package atlas (Automatically Tuned Linear Algebra Software, in order
# to obtain much faster linear algebra operations in Octave and R
BuildRequires: dejagnu
BuildRequires: fftw-devel >= 2.1.3
BuildRequires: gcc-g77
BuildRequires: gnuplot
BuildRequires: gperf
BuildRequires: gpm-devel 
BuildRequires: libf2c0
BuildRequires: libncurses-devel
BuildRequires: ncurses-devel
BuildRequires: readline-devel
BuildRequires: tetex-dvips
BuildRequires: tetex-latex
BuildRequires: texinfo

%define flavor emacs

%description
GNU Octave is a high-level language, primarily intended for numerical
computations. It provides a convenient command line interface for
solving linear and nonlinear problems numerically, and for performing
other numerical experiments using a language that is mostly compatible
with Matlab. It may also be used as a batch-oriented language.

Octave has extensive tools for solving common numerical linear algebra
problems, finding the roots of nonlinear equations, integrating
ordinary functions, manipulating polynomials, and integrating ordinary
differential and differential-algebraic equations. It is easily
extensible and customizable via user-defined functions written in
Octave's own language, or using dynamically loaded modules written in
C++, C, Fortran, or other languages.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{version} -a2
%patch1 -p1

%build
CFLAGS="$RPM_OPT_FLAGS -fno-fast-math" \
CXXFLAGS="$RPM_OPT_FLAGS -fno-fast-math" \
FFLAGS="$RPM_OPT_FLAGS -fno-fast-math" \
%configure --prefix=%{_prefix} --with-g77 \
	--enable-dl \
	--enable-shared \
	--enable-lite-kernel \
	--enable-picky-flags
%make
#make check

# emacs mode
bzcat %SOURCE4 > octave.el
for i in %flavor; do
	$i -batch -q -no-site-file -f batch-byte-compile %name.el
	mv %name.elc $i-%name.elc
done

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
find $RPM_BUILD_ROOT -name "*.oct" | xargs strip

install -m 755 -d $RPM_BUILD_ROOT/%{_menudir}
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/%{_menudir}/%{name}

# mdk icons
install -d $RPM_BUILD_ROOT%{_iconsdir}
tar xjf %SOURCE2 -C $RPM_BUILD_ROOT%{_iconsdir}

install -m 644 %SOURCE3 $RPM_BUILD_ROOT/%_mandir/man1
mkdir -p $RPM_BUILD_ROOT/%_sysconfdir/emacs/site-start.d/

mkdir -p $RPM_BUILD_ROOT/%_sysconfdir/emacs/site-start.d/
for i in %flavor; do
	install -m 644 $i-%name.elc \
		$RPM_BUILD_ROOT/%_sysconfdir/$i/site-start.d/%name.elc
	[[ $i = emacs ]] && install -m644 %name.el \
		$RPM_BUILD_ROOT/%_sysconfdir/emacs/site-start.d/
done

rm -f $RPM_BUILD_ROOT/%_infodir/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%_install_info octave.info
%{update_menus}

%preun
%_remove_install_info octave.info

%postun 
%{clean_menus}
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc BUGS COPYING NEWS* PROJECTS README README.Linux ChangeLog* ROADMAP SENDING-PATCHES THANKS
%doc doc/faq doc/liboctave doc/refcard emacs examples doc/interpreter

%{_bindir}/*
%{_libdir}/octave/
%{_includedir}/%name-%version
%{_datadir}/octave
%{_libexecdir}/%name-%version
%{_mandir}/*/*
%{_infodir}/o*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.*
%{_miconsdir}/%{name}.*
%{_liconsdir}/%{name}.*
%config(noreplace) %_sysconfdir/emacs/site-start.d/octave.el*

%changelog
* Tue Feb 04 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.1.44-1mdk
- new release

* Fri Jan 03 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.1.42-1mdk
- new release
- add source url

* Thu Dec 12 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.1.40-1mdk
- 2.1.40
- remove Patch 2,10,11

* Fri Aug 16 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.1.36-4mdk
- png icons.
- BuildRequires: tetex-latex.
- use -fno-fast-math.

* Fri Aug 16 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.1.36-3mdk
- rebuild for g++-3.2 new ABI
- s/tar xfvy/%%setup -a2/
- patch 1 : use secure temp file in octave-bug
- patch 2 : update doc
- parallel build
- add emacs mode
- Buildrequires: texinfo, gcc-g77, libf2c0, readline-devel, libncurses-devel,
  gperf, gnuplot, fftw-devel >= 2.1.3, dejagnu
- Quel Qun <kelk1 at sbcglobal dot net> :
	o patch 10: use the right texi2html parameters (Quel Qun)
	o patch 11: transform file-ptr-stream.h from cvs
	o Buildrequires tetex-dvips
	o add doc/interpreter to %%doc

* Wed Jul 24 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.1.36-2mdk
- rebuild for new readline

* Tue May 21 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.1.36-1mdk
- new release

* Fri Apr 12 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.1.35-1mdk
- new release
- add otags(1)

* Wed Aug 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0.16-11mdk
- rebuild

* Mon May 28 2001  Daouda Lo <daouda@mandrakesoft.com> 2.0.16-10mdk
- Buildrequires : egcs-c++
- upload in contribs

* Mon May 28 2001  Daouda Lo <daouda@mandrakesoft.com> 2.0.16-9mdk
- add egcs in builrequires

* Sun May  6 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0.16-8mdk
- rebuild against latest libc++

* Tue Jan 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0.16-7mdk
- build with egcs

* Wed Sep 13 2000 Vincent Saugey <vince@mandrakesoft.com> 2.0.16-6mdk
- Rebuild with r-path (octave lib ont in /usr/lib/)

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.0.16-5mdk
- automatically added BuildRequires

* Wed Jul 26 2000 Vincent Saugey <vince@mandrakesoft.com> 2.0.16-4mdk
- Macros, BM, add multiple icons sizes

* Wed Apr 12 2000 Vincent Saugey <vince@mandrakesoft.com> 2.0.16-3mdk
- strip oct file
- add menu entry
 
* Tue Mar 21 2000 Vincent Saugey <vince@mandrakesoft.com> 2.0.16-2mdk
- corrected for new groups

* Thu Mar 09 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build
- v2.0.16

* Fri Oct 23 1998 Jeff Johnson <jbj@redhat.com>
- update to 2.0.13.90

* Thu Jul  9 1998 Jeff Johnson <jbj@redhat.com>
- repackage in powertools.

* Thu Jun 11 1998 Andrew Veliath <andrewtv@usa.net>
- Add %attr, build as user.

* Mon Jun 1 1998 Andrew Veliath <andrewtv@usa.net>
- Add BuildRoot, installinfo, require gnuplot, description from
  Octave's web page, update to Octave 2.0.13.
- Adapt from existing spec file.

* Tue Dec  2 1997 Otto Hammersmith <otto@redhat.com>
- removed libreadline stuff from the file list

* Mon Nov 24 1997 Otto Hammersmith <otto@redhat.com>
- changed configure command to put things in $RPM_ARCH-rehat-linux, 
  rather than genereated one... was causing problems between building 
  on i686 build machine.

* Mon Nov 17 1997 Otto Hammersmith <otto@redhat.com>
- moved buildroot from /tmp to /var/tmp

* Mon Sep 22 1997 Mike Wangsmo <wanger@redhat.com>
- Upgraded to version 2.0.9 and built for glibc system

* Thu May 01 1997 Michael Fulbright <msf@redhat.com>
- Updated to version 2.0.5 and changed to build using a BuildRoot
